- Taxpayers
- Get a taxpayer
Taxpayers
Get a taxpayer
Retrieve a taxpayer and its user by id.
GET
/v1/taxpayers/{taxpayerId}
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
taxpayerId
required
string
Unique identifier of the taxpayer.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
400
401
403
404
OK
id
required
string
The unique identifier of the taxpayer.
name
required
string
The name of the taxpayer.
taxpayerUser
required
object
Information about the taxpayer user.
firm
object
The firm the taxpayer is linked to, when there is one.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'